'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const store = require('./store-d570e98c.js');
require('./default-language-4c779255.js');

const dyteMoreToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteMoreToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.isOpen = false;
    this.toggleMoreMenu = () => {
      this.isOpen = !this.isOpen;
      this.stateUpdate.emit({ activeMoreMenu: this.isOpen });
      store.state.activeMoreMenu = this.isOpen;
    };
  }
  render() {
    const text = this.t('More');
    const states = this.states || store.state;
    const icon = (states === null || states === void 0 ? void 0 : states.activeMoreMenu) === true ? this.iconPack.chevron_down : this.iconPack.chevron_up;
    return (index.h(index.Host, { title: text }, index.h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, onClick: () => this.toggleMoreMenu(), icon: icon, label: text, part: "controlbar-button" })));
  }
};
DyteMoreToggle.style = dyteMoreToggleCss;

exports.dyte_more_toggle = DyteMoreToggle;
