import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
/**
 * A dialog component.
 */
export declare class DyteDialog {
  /** Whether to show the close button */
  hideCloseButton: boolean;
  /** Meeting object */
  meeting: Meeting;
  /** UI Config */
  config: UIConfig;
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Whether a dialog is open or not */
  open: boolean;
  /** Event emitted when dialog is closed */
  onClose: EventEmitter;
  connectedCallback(): void;
  disconnectedCallback(): void;
  private close;
  private keydownListener;
  render(): any;
}
