import { IconPack } from '../../lib/icons';
import { Meeting, Peer } from '../../types/dyte-client';
/**
 * A participant entry component used inside `dyte-participants` which shows data like:
 * name, picture and media device status.
 *
 * You can perform privileged actions on the participant too.
 */
export declare class DyteParticipant {
  private audioUpdateListener;
  private videoUpdateListener;
  private pinnedListener;
  /** Meeting object */
  meeting: Meeting;
  /** Participant object */
  participant: Peer;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  audioEnabled: boolean;
  videoEnabled: boolean;
  isPinned: boolean;
  canDisableParticipantAudio: boolean;
  canDisableParticipantVideo: boolean;
  canKickParticipant: boolean;
  canPinParticipant: boolean;
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  participantChanged(participant: Peer): void;
  render(): any;
}
