import { EventEmitter } from '../../stencil-public-runtime';
import { Meeting } from '../../types/dyte-client';
import { IconPack } from '../../lib/icons';
import { Size, States } from '../../types/props';
declare type SettingsTab = 'audio' | 'video' | 'connection';
/**
 * A settings component to see and change your audio/video devices
 * as well as see your connection quality.
 */
export declare class DyteSettings {
  private poorConnectionListener;
  private keyPressListener;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  activeTab: SettingsTab;
  isMobileMainVisible: boolean;
  networkStatus: 'good' | 'poor' | 'poorest';
  canProduceAudio: boolean;
  canProduceVideo: boolean;
  /** Update global state */
  stateUpdate: EventEmitter<States>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private changeTab;
  private close;
  render(): any;
}
export {};
